<template>
    <div  @dblclick="$emit('toggle-checkbox', task.id)" class="task_container" :style="task_container_styling">
        <input type="checkbox" :checked="task.state" @click="onStatusChange"/>
        <h3>{{task.text}}</h3>
        <span id="{{ task.id }}" @click="$emit('delete-task', task.id)" class="delete"  >X</span>
    </div>
</template>

<script>

export default{
    name : 'Task',
    props : {
        task : Object
    },
    data(){
        return {
            inputChecked: false,
            checked :'0.02rem solid black'
            ,
            unchecked :  'none'
            
        }
    },
    methods: {
       onStatusChange(){
        this.task.state = !this.task.state
       },
    },
    computed: {
        task_container_styling(){
            
            return {
                border : ((this.task.state)? this.checked : this.unchecked),
            }
        }
    }

}


    
</script>

<style scoped>
    .task_container{
        display: flex; 
        background-color: rgb(244, 250, 255);
        margin: 0.5rem 0;
        border-radius: 0.3rem; 
        align-items: center;
        position: relative;
    }
    .delete{
        position: absolute;
        right: 5%;
        color: red;
    }
    .delete:hover{
        cursor: pointer;
    }
</style>
